<?php
include ("../../../../conf/connection.php");
$sucu =$_POST["sucu"];
$filtro1=$_POST["filtro1"];
$filtro2=$_POST["filtro2"];

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($filtro1 <> "") { $where.=" AND descripcion like '%".$filtro1."%__%".$filtro2."%'"; }


$where.=" ORDER BY codarticulo ASC";
$query_busqueda="SELECT count(*) as filas FROM articulos WHERE  borrado=0 AND  ".$where;
$rs_busqueda=mysql_query($query_busqueda);
$filas=mysql_result($rs_busqueda,0,"filas");

?>
<html>
	<head>
		<title></title>
		<link href="../../../../../estilos/estilos.css" type="text/css" rel="stylesheet">
        <script src="../../../../jquery-1.11.1.js" type="text/javascript"></script> 
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
      
      
		<script language="javascript">
     
		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+99);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+10;
			}
		}
		</script>
      
      <script language="javascript">
    function cargar(){
		  document.getElementById("optOp").focus() ; 
		  document.getElementById("optOp").checked=true ;  
		}
</script>
<script type="text/javascript">


    function pon_prefijo(codarticulo) {
	parent.opener.document.getElementById('codigo').value=codarticulo;
	parent.window.close();
}
function info (elEvento) { 
         evento = elEvento || window.event;
         k=evento.keyCode; //número de código de la tecla.
        
          if (k==38){ 
		  
		         window.scrollBy(0,-20); // velocidad subir

                 scrolldelay = setTimeout('subir()',100); // tiempo
		
         }
		 		
		 if (k==40){ 
		      
			    window.scrollBy(0,20); // velocidad abajo

                 scrolldelay = setTimeout('abajo()',100); // tiempo
		
         } 
		 
		 if (k==27){ 
		      
			    parent.document.getElementById("filtro1").focus();
         } 
		 }
window.onload = function() {
document.onkeydown = info;
}
  
</script>


<style>
.radio-toolbar input[type="radio"] {
display: inline-block;

   
 
}

.radio-toolbar label {
   display: inline-block;
  
    background-color:#FFF;    
}

.radio-toolbar input[type="radio"]:checked + label {
    background-color:#FF0;
	display: inline-block;
   
    margin: 0;
}
#div1{ 
display: inline-block;

width:70px; 
}	
#div2{ 
display: inline-block;

width:400px; 
}
#div3{ 
display: inline-block;

width:70px; 
}
#div3{ 
display: inline-block;

width:70px; 
}		
</style>
	</head>

	<body  onload=cargar() >	
	        <form name="result" id="result" >
            <table width="950" height="160" border=0 class="fuente8" ID="Table">	
			<input type="hidden" name="numfilas" id="numfilas" value="<? echo $filas?>">
				<? $iniciopagina=$_POST["iniciopagina"];
				if (empty($iniciopagina)) { $iniciopagina=$_GET["iniciopagina"]; } else { $iniciopagina=$iniciopagina-1;}
				if (empty($iniciopagina)) { $iniciopagina=0; }
				if ($iniciopagina>$filas) { $iniciopagina=0; }
					if ($filas > 0) { ?>
						<? $sel_resultado="SELECT * FROM articulos WHERE  borrado=0 AND  ".$where;
						   
						   $res_resultado=mysql_query($sel_resultado);
						   $contador=0;
						   while ($contador < mysql_num_rows($res_resultado)) { 
						   $codarticulo=mysql_result($res_resultado,$contador,"referencia");
						   $descrip=mysql_result($res_resultado,$contador,"descripcion");
						   $desc=substr($descrip,0,50);
						   $cart=strlen($desc);
						    
						
									$precio=mysql_result($res_resultado,$contador,"precio_tienda");
						    		$precio_fort=number_format($precio,0,'','.');
						
				
							$cart_precio=strlen($precio_fort);
					
						   		if ($i % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla";	}?>
			
                              <tr >
                                <td><div class="radio-toolbar" >
                            <input name="optOp" id="optOp" type="radio" value="<? echo $codarticulo ?> " onKeyPress="javascript:pon_prefijo('<? echo $codarticulo ?>')"/>
							<label for="radio">&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp
							<div id="div1" class="fuente8"><? echo mysql_result($res_resultado,$contador,"referencia")?> </div>
                            &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp
                           
							<div id="div2" class="fuente8"><? echo $desc ?></div>
                           
                            <div id="div3" class="fuente8"><? echo $precio_fort ?></div>
                            &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp 
                            <div id="div3" class="fuente8"><? echo mysql_result($res_resultado,$contador,"stock")?>	</div>		    
                            </label></div></td></tr>
			
					
						<? $contador++;
							}
						?>			
					</table>
			
					  <? } else { ?>

					
                  
					<?php echo "No hay ning&uacute;n art&iacute;culo que cumpla con los criterios de b&uacute;squeda";?>
				  			
					<? } ?>					
			
    </form>
		
</body>
</html>
